<?php if(!defined('PLX_ROOT')) exit;
$pluginName = $myLastElement = end($_GET);//multi vers plux
include(PLX_PLUGINS.$pluginName.'/lang/help.inc.php');#inclure les communs
?>
<p>Voici un simple plugin qui affiche un <a target="_blank" title="Code QR — Wikipédia" href="https://fr.wikipedia.org/wiki/QR_Code">Qr Code</a> généré en JavaScript avec <a target="_blank" title="englishextra — Github" href="https://github.com/englishextra/qrjs2">qrjs2</a> afin de partager l'adresse url en flachant le code.</p>
<h1>Comment l'utiliser</h1>
<p>Dupliquer un des codes ci-dessous (<i>sidebar.php</i>) pour afficher l'image</p>
<h2>Hook basique</h2>
<code><pre>
<?php echo toCode($exemple) ?>
</pre></code>
<h2>Hook avec option</h2>
<code><pre>
<?php echo toCode($exempleOpt) ?>
</pre></code>
<h2>Exemple a dupliquer pour votre fichier <i>footer.php</i></h2>
<code><pre>
<?php echo toCode($exempleFull) ?>
</pre></code>
<h2>Note :</h2>
<p>Pour régler la largeur maximum de l'image a 256px, vous pouvez ajouter cette règle css dans le
<a href="parametres_plugincss.php?p=qrjs">code css du plugin</a>
</p>
<code><pre>
#qrjs img{max-width:256px}
</pre></code>
<h2>Options possibles : <i>Si par défaut, inutile de les y inscrires </i>;)</h2>
<pre>
	ecclevel: "M",			// L, M, Q, H (Longueur du texte, mais s'adapte a automatiquement, M Par défaut)
	fillcolor: "transparent",	// Couleur de l'arriere plan de l'image (#FFFFFF Par défaut)
	textcolor: "#123456",		// Couleur du code (#000000 Par défaut)
	margin: 4,			// Marge de l'image (4 Par défaut)
	modulesize: 8			// Taille des carreaux? de l'image (8 Par défaut)
</pre>
<h2><a target="_blank" title="englishextra — qrjs2 Github Wiki" href="https://github.com/englishextra/qrjs2/wiki">wiki qrjs2</a></h2>
