<?php if(!defined('PLX_ROOT')) exit;
/**
 * Plugin	qrjs * @author	sudwebdesign
 **/
class qrjs extends plxPlugin {
	public function __construct($default_lang) {
		parent::__construct($default_lang);# appel du constructeur de la classe plxPlugin (obligatoire)
		if(!defined('PLX_ADMIN')) $this->addHook('qrjs', 'qrjs');
	}
	/**
	 * Méthode qui affiche le qrcode * @return stdio * @author sudwebdesign
	 **/
	public function qrjs($opt=null) {# Hook plugin a placer ou vous voulez
		//$opt = 'fillcolor:"transparent",textcolor:"#136"';
?>
<span id="qrjs" rel="qr-code"></span>
<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/js/qrjs2.min.js"></script>
<script type="text/javascript">
var url = ''+document.location;
url = url.replace(/^[\s\u3000]+|[\s\u3000]+$/g, '');
var img = document.createElement("img");
img.title = "QR code\n"+url;
var q = QRCode;
if (document.implementation.hasFeature("http://www.w3.org/2000/svg", "1.1")) {
	q = q.generateSVG(url, {<?php echo $opt ?>});
	var XMLS = new XMLSerializer();
	q = XMLS.serializeToString(q);
	q = "data:image/svg+xml;base64," + window.btoa(unescape(encodeURIComponent(q)));
} else {
	q = q.generatePNG(url, {<?php echo $opt ?>});
}
img.src = q;
document.getElementById("qrjs").appendChild(img);
</script>
<?php
	}#qrjs()
}#class qrjs
